Bug 130847 - Networking hangs when connecting to some specific hosts
Networking hangs when connecting to some specific hosts
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-08-25 03:56 EDT by Thomas
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 00:20:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas 2004-08-25 03:56:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
When i try to connect to some webservers the network hangs. I first
saw it when trying to access a website from my Firefox browser. Then i
tried the same website with several other browsers including lynx. On
the same machine i can boot FC1 and Windows from where i can access
the website without any problems. From FC2 it's possible to telnet to
the sites on port 80 but when typing 'GET HTTP/1.0'<enter><enter>
nothing happens.

Known hosts with the problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open terminal
2. lynx http://www.cinemaxx.dk

Actual Results:  no reponse

Expected Results:  HTML output

Additional info:
Comment 1 Thomas 2004-08-31 09:32:14 EDT
A workaround is to do the following:

echo "net.ipv4.tcp_moderate_rcvbuf=0" >> /etc/sysctl.conf
echo "net.ipv4.tcp_default_win_scale=0" >> /etc/sysctl.conf 

and reboot...
Comment 2 Tethys 2004-09-27 18:55:15 EDT
You rock. This fixed the problem for me. I've been staring at
tcpdump traces to try and work out the differences between FC1
and FC2 -- FC2 was using *much* smaller window sizes (46 vs 5840),
so I guessed this was at least part of the problem, but didn't
know what to do to fix it. Also, the sequence number was being
reset to the ISN part way through the conversation.

I'm guessing this is due Stephen Hemminger's kernel patch in July:


This would also explain why it only affected some sites and not
Comment 3 Dave Jones 2005-04-16 00:20:41 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.